/**
 * XDocumentEntrySubject.java
 *
 * File generated from the medication::XDocumentEntrySubject uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDocumentEntrySubject.
 *
 * 
 */

@XmlType(name = "XDocumentEntrySubject")
@XmlEnum
@XmlRootElement(name = "XDocumentEntrySubject")
public enum XDocumentEntrySubject {
	@XmlEnumValue("SPEC")
	SPEC("SPEC"),
	@XmlEnumValue("PAT")
	PAT("PAT"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XDocumentEntrySubject(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XDocumentEntrySubject fromValue(String v) {
        for (XDocumentEntrySubject c: XDocumentEntrySubject.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}